/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package java.io;


public class PrintStream extends FilterOutputStream {

  public PrintStream(OutputStream out) {
    super(out);
  }

  public native void print(boolean x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void print(char x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void print(char[] x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void print(double x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void print(float x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void print(int x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void print(Object x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void print(String x) /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public void println() {
  }

  public native void println(boolean x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void println(char x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void println(char[] x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void println(double x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void println(float x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void println(int x)  /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void println(Object x) /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.console.log(x);		
//	}
  }-*/;

  public native void println(String x) /*-{
//	if ($wnd.dojo.isIE && !$wnd.djConfig.isDebug) {		
//		$wnd.alert(x);
//	} else {
		$wnd.alert(x);		
//	}
  }-*/;
}
